import express from 'express';
import MongoDb from 'mongodb';
import { Redis } from 'redis-modules-sdk';
import { Request } from '../../types/express.types';
import { HLogger } from '../../types/logger.types';
export declare function createRequestDecorator(mongodbClient: MongoDb.Db, redisClient: Redis, logger: HLogger): (req: Request, res: express.Response, next: express.NextFunction) => void;
