"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRequestDecorator = void 0;
function createRequestDecorator(mongodbClient, redisClient, logger) {
    return function (req, res, next) {
        req.redisClient = redisClient;
        req.mongodbClient = mongodbClient;
        req.logger = logger;
        next();
    };
}
exports.createRequestDecorator = createRequestDecorator;
