/// <reference types="qs" />
import { Redis } from 'redis-modules-sdk';
import { Response, NextFunction } from 'express';
import { Request } from '../types/express.types';
import { HLogger } from '../types/logger.types';
interface SessionParms {
    SESSION_SECRET: string;
    SESSION_COOKIE_NAME: string;
    SESSION_COOKIE_MAX_AGE: number;
    LANGUAGE_CURRENT: string;
    redisClient: Redis;
    logger: HLogger;
}
export declare function createRedisSessionMiddlewares$({ SESSION_SECRET, SESSION_COOKIE_NAME, SESSION_COOKIE_MAX_AGE, LANGUAGE_CURRENT, redisClient, logger, }: SessionParms): import("rxjs").Observable<[import("express").RequestHandler<import("express-serve-static-core").ParamsDictionary, any, any, import("qs").ParsedQs, Record<string, any>>, (req: Request, res: Response, next: NextFunction) => void]>;
export {};
