"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.redisClient = exports.createRedis = void 0;
var redis_modules_sdk_1 = require("redis-modules-sdk");
var _redis = null;
function createRedis(options) {
    if (!_redis) {
        _redis = new redis_modules_sdk_1.Redis(options);
    }
    return _redis;
}
exports.createRedis = createRedis;
var redisClient = function () {
    if (!_redis) {
        throw new Error('Redis must be set before usage');
    }
    return _redis;
};
exports.redisClient = redisClient;
