"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractRelativeUrl = void 0;
var cloudinary_build_url_1 = require("cloudinary-build-url");
function extractRelativeUrl(fullUrl) {
    if (!fullUrl) {
        throw new Error('Null or undefined url');
    }
    var tokens = fullUrl.split('/image/upload/');
    if (tokens.length === 2)
        return tokens[1];
    return cloudinary_build_url_1.extractPublicId(fullUrl);
}
exports.extractRelativeUrl = extractRelativeUrl;
