"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.envN = void 0;
function getEnv(variable) {
    if (variable === null || variable === undefined) {
        throw new Error('Calling env.getEnv with null or undefined argument');
    }
    var value = process.env[variable];
    if (!value) {
        throw new Error('Configuration variable ' + variable + ' is not defined');
    }
    return value;
}
exports.default = getEnv;
function envN(variable) {
    return Number(getEnv(variable));
}
exports.envN = envN;
