import Express from 'express';
import { Request } from '../../types/express.types';
import { Redis } from 'redis-modules-sdk';
export interface StrapiMiddlewareParms {
    REDIS_JWT_KEY: string;
    STRAPI_JWT_SEED: string;
    STRAPI_IDENTIFIER: string;
    STRAPI_PASSWORD: string;
    STRAPI_URL: string;
    REDIS_JWT_TTL_SECONDS: number;
    redisClient: Redis;
}
export declare function createStrapiMiddleware({ REDIS_JWT_KEY, STRAPI_IDENTIFIER, STRAPI_PASSWORD, STRAPI_URL, REDIS_JWT_TTL_SECONDS, STRAPI_JWT_SEED, redisClient, }: StrapiMiddlewareParms): (req: Request, res: Express.Response, next: Express.NextFunction) => Promise<void>;
