import { RedisGetParms, RedisSetParms, RedisSetXParms, RedisJsonSetParms, RedisExpireParms, RedisJsonSetXParms } from '../types/redis.types';
export declare function redisGet$({ redisClient, key }: RedisGetParms): import("rxjs").Observable<any>;
export declare function redisMusGet$({ redisClient, key }: RedisGetParms): import("rxjs").Observable<any>;
export declare function redisSet$({ redisClient, key, data }: RedisSetParms): import("rxjs").Observable<any>;
export declare function redisSetX$({ redisClient, key, seconds, data }: RedisSetXParms): import("rxjs").Observable<any>;
export declare function redisJSONGet$({ redisClient, key }: RedisGetParms): import("rxjs").Observable<any>;
export declare function redisJSONMustGet$({ redisClient, key }: RedisGetParms): import("rxjs").Observable<any>;
export declare function redisJSONSet({ redisClient, key, data }: RedisJsonSetParms): import("rxjs").Observable<any>;
export declare function redisExpire({ redisClient, key, seconds }: RedisExpireParms): import("rxjs").Observable<any>;
export declare function redisJSONSetX({ redisClient, key, data, seconds }: RedisJsonSetXParms): import("rxjs").Observable<any>;
export declare function redisFTInfo$({ redisClient, key }: RedisGetParms): import("rxjs").Observable<import("redis-modules-sdk").FTInfo>;
export declare function redisIndexNumDocs({ redisClient, key }: RedisGetParms): import("rxjs").Observable<any>;
